> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mountsea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 下载 MDI

> 从音轨分离结果下载 MIDI 数据

下载音频片段的 MDI（MIDI）数据。`clip_id` 必须是通过 [Generate](/zh/api-reference/suno/generate) 端点的 `gen_stem_all` 任务返回的片段。

<Warning>
  此端点仅适用于通过 `gen_stem_all` 任务生成的片段。使用普通片段 ID 将会导致错误。
</Warning>

<Info>
  这是一个异步任务。响应包含一个 `taskId` — 使用[获取任务状态](/zh/api-reference/suno/task)轮询以获取 MDI 下载链接。
</Info>


## OpenAPI

````yaml POST /suno/v2/mdi
openapi: 3.0.0
info:
  title: Suno AI
  description: API documentation for Suno AI
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.mountsea.ai
    description: API Gateway
security: []
tags:
  - name: suno
    description: ''
  - name: suno/studio
    description: Studio Song Editor（与 audio/crop|fade|reverse 独立）
paths:
  /suno/v2/mdi:
    post:
      tags:
        - suno
      summary: download mdi data
      description: download mdi data by the clip_id returned by the task gen_stem_all
      operationId: ApiPublicController_generateMdi
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GenerateMdiDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskIdDto'
      security:
        - bearerAuth: []
components:
  schemas:
    GenerateMdiDto:
      type: object
      properties:
        clip_id:
          type: string
          description: >-
            The clip_id which used to generate the mdi, it must be the clip_id
            returned by the task gen_stem_all.
      required:
        - clip_id
    TaskIdDto:
      type: object
      properties:
        taskId:
          type: string
          description: task id. Use this id to query task status.
          example: 15c257ff-43f7-4678-bd41-202ad6b8488b
      required:
        - taskId
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````